/* Asegúrate de que el footer tenga algo de padding para que no toque los bordes de la pantalla */
footer {
    padding: 0px 110px 0px 110px; /* padding: arriba derecha abajo izquierda */
    background-color: #003b5c; /* Cambia esto según el diseño */
}


footer .col-md-4{
    display: flex;
    align-items: center;
}

footer .col-md-3, .col-md-5{
    padding-top: 50px;
}

/*footer .col-md-2{
    display: flex;
    align-items: center;
}*/

footer .col-logo img {
    width: 250px; /* Ancho de la imagen */
    height: 100px; /* Alto de la imagen */
    object-fit: contain;
    object-position: center; 
}
/* Estilos para el menú */
footer .menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: block;
    text-align: left;
}

footer .menu li {
    margin: 5px 0; /* Espaciado entre elementos del menú */
    display: block; /* Asegura que cada elemento del menú esté en su propia línea */
    margin-bottom: 20px;

}

footer .menu li a {
    text-decoration: none;
    color: #fff; /* Cambia esto según el diseño */
    font-size: 14px;
}

footer .menu li a:hover {
    color:#79C300;

}

/* Estilo para cada bloque de contacto */
.contacto-info div {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

/* Estilo para las imágenes */
.contacto-info img {
    margin-bottom: 10px;
    margin-right: 10px;
    width: 24px; /* Ancho de la imagen */
    height: 24px; /* Alto de la imagen */
    object-fit: contain; /* Ajusta la imagen para que se contenga dentro del espacio sin distorsionarse */
    object-position: center; 
}

/* Estilo para el texto */
.contacto-info a {
    color: white; /* Ajusta según sea necesario */
    font-size: 14px;
    text-decoration: none;
}

.contacto-info a:hover{
    color: #79C300;
    cursor: pointer;
}

.contacto-redes div {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}

/* Estilo para las imágenes */
.contacto-redes img {
    margin-right: 10px;
    width: 50px; /* Ancho de la imagen */
    height: 50px; /* Alto de la imagen */
    object-fit: contain; /* Ajusta la imagen para que se contenga dentro del espacio sin distorsionarse */
    object-position: center; 
    cursor: pointer;
}

.col-info{
    color: white; /* Ajusta según sea necesario */
    font-weight: bold;
    font-size: 15px;
}

.divider {
    height: 1px;
	width: 100%; /* Ancho del divisor */
    background: #00A3E066; 
}

.footer-avisos{
    color: #fff;
    font-size: 13px;
}

.footer-contenedor {
    display: flex !important;
    flex-direction: column; /* Alinea los elementos en una columna */
    align-items: center; /* Centra los elementos horizontalmente */
    padding-top: 20px;
    padding-bottom: 20px;
}

.footer-contenedor-movil{
    display: none !important;
}

.col-movil-footer{
    color: #fff !important;
    text-align: center;
    font-size: 13px;
    text-decoration: none;
}

.custom-list {
    list-style-type: none; /* Elimina los puntos de la lista */
    padding: 0;
    margin: 0;
    display: flex; /* Hace que los elementos de la lista se alineen horizontalmente */
    justify-content: center; /* Centra los elementos de la lista */
}

.custom-list li a{
    position: relative;
    padding: 0 10px; /* Espacio alrededor del texto */
    font-size: 12px;
    color: #fff;
    text-decoration: none;
}

.custom-list li a:hover{
    color:#79C300;
    cursor: pointer;
}

.footer-avisos {
    margin-top: 20px; /* Espacio entre la lista y el texto del pie de página */
    font-size: 12px; /* Ajusta el tamaño de la fuente según sea necesario */
    color: #fff; /* Ajusta el color del texto según sea necesario */
    text-align: center;
}

.custom-list li:not(:last-child)::after {
    content: '|'; /* Separador */
    position: absolute;
    right: 0; /* Posiciona el separador al final del elemento */
    top: 50%; /* Centra verticalmente el separador */
    transform: translateY(-50%); /* Ajusta la posición vertical del separador */
    margin-left: 10px; /* Espacio entre el texto y el separador */
    color: #fff; /* Ajusta el color del separador según sea necesario */
}

/**/

/* TABLET */
@media only screen and (min-width: 768px) and (max-width: 1000px){
    footer .col-logo img {
        width: 150px; 
        height: 50px; 
    }
    .custom-list li a{
        padding: 0 5px;
        font-size: 12px;
    }
}

@media only screen and (min-width: 1920px) {  
    footer {
        padding: 0px 300px 0px 300px; /* padding: arriba derecha abajo izquierda */
    }
}

@media only screen and (min-width: 1600px) and (max-width: 1920px) { 
    footer {
        padding: 0px 150px 0px 150px; /* padding: arriba derecha abajo izquierda */
    }
}

/*Movil*/
@media screen and (max-width: 767px){
    footer {
        padding: 0px 10px 0px 10px; /* padding: arriba derecha abajo izquierda */
    }
    
    footer .col-md-4{
        display: flex;
        align-items: center;
        justify-content: center;
    }

    footer .col-md-3{
        padding-top: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    footer .col-md-5{
        padding-top: 20px;
    }


    .footer-contenedor{
        display: none !important;
    }

    .footer-contenedor-movil{
        display: flex !important;
        justify-content: center;
        flex-direction: column; /* Alinea los elementos en una columna */
        align-items: center; /* Centra los elementos horizontalmente */
        padding-top: 20px;
        padding-bottom: 20px;
    }

    footer .menu li {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .contacto-info{
        align-items: center;
        justify-content: center;
        padding: 0px 30px 0px 30px; /* padding: arriba derecha abajo izquierda */
    }

    col-md-5{
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .datos-contacto{
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .datos-contacto a{
        font-size: 12px;
    }

    .col-info{
        text-align: center;
        font-size: 20px;
    }
}

/*Movil*/
@media screen and (min-width: 320px) and (max-width: 766px) {
    .footer-contenedor{
        display: none !important;
    }

    .footer-contenedor-movil{
        display: flex !important;
        justify-content: center;
        flex-direction: column; /* Alinea los elementos en una columna */
        align-items: center; /* Centra los elementos horizontalmente */
        padding-top: 20px;
        padding-bottom: 20px;
    }
}